%define fw_version 5.24

Summary:	KDE Frameworks 5 system level services daemon
Name:		kded
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
Source10:	%{name}.rpmlintrc
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5crash-devel >= %{version}
BuildRequires:	kf5dbusaddons-devel >= %{version}
BuildRequires:	kf5doctools-devel >= %{version}
BuildRequires:	kf5init-devel >= %{version}
BuildRequires:	kf5service-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	%{name}-i18n

%description
KDE Frameworks 5 system level services daemon.

KDED stands for KDE Daemon which isn't very descriptive. It runs in the
background and performs a number of small tasks. Some of these tasks are
built in, others are started on demand.

%files
%{_kde5_bindir}/*
%{_kde5_mandir}/man8/kded5.8*
%{_kde5_libdir}/libkdeinit5_kded5.so
%{_kde5_servicetypes}/kdedmodule.desktop
%{_datadir}/dbus-1/services/org.kde.kded5.service

#----------------------------------------------------------------------------

%package i18n
Summary:	KDED translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDED translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define devkf5kded %mklibname kf5kded -d

%package -n %{devkf5kded}
Summary:	Development files for KDE Frameworks 5 system level services daemon
Group:		Development/KDE and Qt
Requires:	%{name}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5kded-devel = %{version}

%description -n %{devkf5kded}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5kded}
%{_kde5_libdir}/cmake/KDED
%{_datadir}/dbus-1/interfaces/org.kde.kded5.xml

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt --with-man

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (f5b163f) New version 5.24.0


